Package ru.bitel.bgbilling.modules.cerbercrypt.server.bean

# Class UserCardCopyManager

java.lang.Object
ru.bitel.common.dao.AbstarctDaoConstant
ru.bitel.common.dao.AbstractDao<B>
ru.bitel.common.dao.AbstractIdDao<B>
ru.bitel.common.model.LoggingAbstractManager<UserCardCopy>
ru.bitel.bgbilling.modules.cerbercrypt.server.bean.UserCardCopyManager

All Implemented Interfaces:
  `java.lang.AutoCloseable`

    public class UserCardCopyManager
    extends LoggingAbstractManager<UserCardCopy>

Класс менеджер для работы с копиями пользовательских карт.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class ru.bitel.common.dao.AbstractDao

  `ru.bitel.common.dao.AbstractDao.ResultSetIterator`

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.LoggingAbstractManager

  `userId`

  ### Fields inherited from class ru.bitel.common.dao.AbstractDao

  `cacheFilter, cacheJoin, cacheOrderBy, cachePaged, cachePS, cacheWhat, con, getByIdPS, moduleId, orderByPattern, tableName`

  ### Fields inherited from class ru.bitel.common.dao.AbstarctDaoConstant

  `ERROR, fields, SQL_CALC_FOUND_ROWS, SQL_DELETE, SQL_DISTINCT, SQL_EQ, SQL_EQCS, SQL_FROM, SQL_GROUP, SQL_IN, SQL_INSERT, SQL_LIMIT, SQL_ON_DUPLICATE_KEY_UPDATE, SQL_ORDER, SQL_SELECT, SQL_SET, SQL_UPDATE, SQL_VALUES, SQL_WHERE`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `UserCardCopyManager​(java.sql.Connection con, int mid, int userId)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `void` | `close()` |
  `void` | `deleteCardCopies​(int uid)` | Удаляет все копии основной карты.
  `int` | `getCopyCount​(int uid, java.util.Date date)` | Возвращает количество копий пользовательской карты, активных на указанную дату.
  `protected UserCardCopy` | `getFromRS​(java.sql.ResultSet rs)` |
  `java.util.List<UserCardCopy>` | `getList​(int uid)` | Возвращает список копий по основной карте.
  `java.util.List<UserCardCopy>` | `getListByDate​(int uid, java.time.LocalDate date)` | Возвращает список копий по основной карте активных на указанную дату.
  `protected boolean` | `setParentCard​(UserCardCopy b)` | Устанавливает ссылку на основную карту.
  `protected void` | `updateImpl​(UserCardCopy b)` |

  ### Methods inherited from class ru.bitel.common.model.LoggingAbstractManager

  `delete, logListByCid, logListByOid, update`

  ### Methods inherited from class ru.bitel.common.dao.AbstractIdDao

  `get, getAndDelete, getAndUpdate`

  ### Methods inherited from class ru.bitel.common.dao.AbstractDao

  `delete, deleteImpl, eq, get, getById, getImpl, getListFromRS, getPeriod, getQueryById, getSQLOrder, getTableName, list, list, listImpl, listImpl, listImplPS, listImplPS, ormFromResultSet, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, processException, recycle, setStatementParam`

  ### Methods inherited from class ru.bitel.common.dao.AbstarctDaoConstant

  `getSQLOrder`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### UserCardCopyManager

    public UserCardCopyManager​(java.sql.Connection con, int mid, int userId)

- ## Method Details

  - ### getList

    public java.util.List<UserCardCopy> getList​(int uid) throws ru.bitel.bgbilling.common.BGException
    Возвращает список копий по основной карте. Сортировка по дате начала действия.
    Parameters:
      `uid` - код основной карты (или -1 если игнорировать)
    Returns:
      список копий
    Throws:
      `ru.bitel.bgbilling.common.BGException` - ошибки

  - ### getListByDate

    public java.util.List<UserCardCopy> getListByDate​(int uid, java.time.LocalDate date) throws ru.bitel.bgbilling.common.BGException
    Возвращает список копий по основной карте активных на указанную дату.
    Parameters:
      `uid` - код основной карты (или -1 если игнорировать)
      `date` - указанная дата
    Returns:
      список копий
    Throws:
      `ru.bitel.bgbilling.common.BGException` - ошибки

  - ### updateImpl

    protected void updateImpl​(UserCardCopy b) throws ru.bitel.bgbilling.common.BGException, java.sql.SQLException
    Specified by:
      `updateImpl` in class `ru.bitel.common.dao.AbstractDao<UserCardCopy>`
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `java.sql.SQLException`

  - ### deleteCardCopies

    public void deleteCardCopies​(int uid) throws ru.bitel.bgbilling.common.BGException
    Удаляет все копии основной карты.
    Parameters:
      `uid` - основная карта
    Throws:
      `ru.bitel.bgbilling.common.BGException` - ошибки

  - ### getCopyCount

    public int getCopyCount​(int uid, java.util.Date date) throws ru.bitel.bgbilling.common.BGException
    Возвращает количество копий пользовательской карты, активных на указанную дату.
    Parameters:
      `uid` - основная карта
      `date` - указанная дата
    Returns:
      количество копий
    Throws:
      `ru.bitel.bgbilling.common.BGException` - ошибки

  - ### getFromRS

    protected UserCardCopy getFromRS​(java.sql.ResultSet rs) throws java.sql.SQLException, ru.bitel.bgbilling.common.BGException
    Specified by:
      `getFromRS` in class `ru.bitel.common.dao.AbstractDao<UserCardCopy>`
    Throws:
      `java.sql.SQLException`
      `ru.bitel.bgbilling.common.BGException`

  - ### setParentCard

    protected boolean setParentCard​(UserCardCopy b) throws ru.bitel.bgbilling.common.BGException
    Устанавливает ссылку на основную карту.
    Parameters:
      `b` - копия
    Returns:
      результат создания ссылки
    Throws:
      `ru.bitel.bgbilling.common.BGException` - ошибки

  - ### close

    public void close() throws ru.bitel.bgbilling.common.BGException
    Specified by:
      `close` in interface `java.lang.AutoCloseable`
    Overrides:
      `close` in class `ru.bitel.common.dao.AbstractDao<UserCardCopy>`
    Throws:
      `ru.bitel.bgbilling.common.BGException`